Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Reflection.MemberInfo System.Runtime.InteropServices._EventInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._EventInfo)) System.Runtime.InteropServices.ComVisible(true)

Provides access to event metadata.

Events are handled by delegates. An event listener supplies an event-handler delegate that is invoked whenever the event is raised by an event source. In order to connect to the event source, the event listener adds this delegate to the invocation list of the source. When the event is raised, the event-handler delegate invokes the methods in its invocation list. The , , , and methods, and the delegate type of the event-handler associated with an event, are required to be marked in the metadata.

For information on delegates, see the class overview.

For information on events, see Partitions I and II of the CLI specification.

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` An object that represents an event source.

  A instance to be added to that references methods to be invoked when the event reflected by the current instance is raised by .

  Adds the specified event handler delegate to the specified event source.

  Each time the event reflected by the current instance is raised by , the methods in the invocation list of are invoked.

  is not the same as the event handler delegate declared for the event reflected by the current instance.

  The event reflected by the current instance is non-static, and is or is of a type that does not implement the event reflected by the current instance. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Diagnostics.DebuggerStepThrough
- Property
  System.Reflection.EventAttributes

  Gets the attributes of the event reflected by the current instance.

  A value that specifies the attributes in the metadata of the event reflected by the current instance.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  System.Type

  Gets the of the event-handler associated with the event reflected by the current instance.

  A that represents the type of the event-handler associated with the event reflected by the current instance. Returns if the method used to add a delegate to the event is not public and is in a loaded assembly, and the caller does not have the required permission.

  This property is read-only.

  Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo

  Returns the public method used to add an event handler delegate to an event source for the event reflected by the current instance.

  A instance that reflects the public method used to add an event handler delegate to an event source for the event reflected by the current instance, if found; otherwise, returns .

  This method is equivalent to ().

  The returned method is used to add an event-handler delegate to the invocation list of an event source. Typically, the method has the following signature format:

  add_<EventName>(<EventHandlerType> handler)

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodInfo `` A value that specifies whether non-public methods can be returned by this method. Specify to return non-public methods; otherwise, specify .

  Returns the method used to add an event handler delegate to an event source for the event reflected by the current instance, specifying whether or not to return non-public methods.

  A instance that reflects the method used to add an event handler delegate to an event source for the event reflected by the current instance, if found; otherwise, returns .

  The returned method is used to add an event-handler delegate to the invocation list of an event source. Typically, the method has the following signature format:

  add_<EventName>(<EventHandlerType> handler)

  As described above.

  is , the method used to add an event handler delegate is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Reflection.MethodInfo[] To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo[] `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo

  Returns the public method that is called when the event reflected by the current instance is raised.

  A instance that reflects the public method that is called when the event reflected by the current instance is raised, if found; otherwise, returns .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo `` A value that specifies whether non-public methods can be returned by this method. Specify to return non-public methods; otherwise, specify .

  Returns the method that is called when the event reflected by the current instance is raised, specifying whether the method to be returned is public or non-public.

  A instance that reflects the method that is called when the event reflected by the current instance is raised, if found; otherwise, returns

  .

  As described above.

  is , the method used to raise the event is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo

  Returns the public method used to remove an event-handler delegate from the event reflected by the current instance.

  A instance that reflects the public method used to remove an event handler delegate from the event reflected by the current instance, if found; otherwise, returns .

  This method is equivalent to ().

  Typically, the method has the following signature format:

  remove_<EventName>(<EventHandlerType> handler)

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodInfo `` A value that specifies whether non-public methods can be returned by this method. Specify to return non-public methods; otherwise, specify .

  Returns the method used to remove an event-handler delegate from the event reflected by the current instance, specifying whether or not to return non-public methods.

  A instance that reflects the method used to remove an event handler delegate from the event reflected by the current instance, if found; otherwise, returns .

  Typically, the method has the following signature format:

  remove_<EventName>(<EventHandlerType> handler)

  As described above.

  is , the method used to remove an event handler delegate is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MemberTypes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` An object that represents an event source.

  A instance to be disassociated from the events reflected by the current instance that are raised by .

  Removes the specified event handler delegate from the specified event source.

  After this method is invoked, subsequent events reflected by the current instance that are raised by will no longer cause to

  invoke its methods.

  is not the same type as the event handler delegate declared for the event reflected by the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0